ALTER TABLE VS4TCapacitySect ADD
	TCPSDate datetime NULL
GO
UPDATE VS4TCapacitySect Set TCPSDate=CAST(''+TCPSYear+'0101' AS datetime)+(((TCPSweek)-1)*7)
where TCPSDate is null
GO
ALTER TABLE VS4TCapacitySect ALTER COLUMN
	TCPSDate datetime NOT NULL
GO